--[[
BLANK TEMPLATE
Created by Will McCREA
Copyright (c) 2017
CURRENT VER: 1.5
Last Updated: 11/6/17
Description:
--]]
-------------------------------------------------------------------------------
-------------------------------
-- |||GLOBAL DECLARATIONS|||
local pop, push = table.remove, table.insert
-------------------------------
-- |||MAIN REQUIREMENTS|||
Verlet =    require 'verlet'
-------------------------------
-- |||MAIN LOAD|||
function love.load()
   physics = Verlet()
end
-------------------------------
-- |||MAIN UPDATE|||
function love.update(dt)
   physics:update(dt)
end
-------------------------------
-- |||MAIN DRAW|||
function love.draw()
   physics:draw()
end
-------------------------------
-- |||DEBUG ESCAPE|||
function love.keypressed(key)
   if key == "escape" then
      love.event.push("quit")
   end
end
-------------------------------------------------------------------------------
